Security update for evolution-data-server

SUSE Security Update: Security update for evolution-data-server
Announcement ID: SUSE-SU-2021:0885-1
Rating: moderate
References: #1173910 #1174712 #1182882
Cross-References:CVE-2020-14928 CVE-2020-16117
Affected Products:
  • SUSE Linux Enterprise Workstation Extension 12-SP5

An update that solves two vulnerabilities and has one errata is now available.

Description:

This update for evolution-data-server fixes the following issues:

  • Fix buffer overrun when parsing base64 data (bsc#1182882).
  • CVE-2020-16117: Fix crash on malformed server response with minimal capabilities (bsc#1174712).
  • CVE-2020-14928: Response injection via STARTTLS in SMTP and POP3 (bsc#1173910).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Workstation Extension 12-SP5:
    zypper in -t patch SUSE-SLE-WE-12-SP5-2021-885=1

Package List:

  • SUSE Linux Enterprise Workstation Extension 12-SP5 (x86_64):
    • libcamel-1_2-57-3.20.6-17.3.1
    • libcamel-1_2-57-debuginfo-3.20.6-17.3.1
    • libedataserver-1_2-21-3.20.6-17.3.1
    • libedataserver-1_2-21-debuginfo-3.20.6-17.3.1

References: